Index: squid/auth_modules/MSNT/smblib-priv.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/smblib-priv.h,v
retrieving revision 1.1.1.1.10.1
retrieving revision 1.1.1.1.10.1.2.1
diff -u -r1.1.1.1.10.1 -r1.1.1.1.10.1.2.1
--- squid/auth_modules/MSNT/smblib-priv.h	12 Jul 2000 22:46:39 -0000	1.1.1.1.10.1
+++ squid/auth_modules/MSNT/smblib-priv.h	7 Jan 2001 09:48:27 -0000	1.1.1.1.10.1.2.1
@@ -184,275 +184,275 @@
 #define SMB_hdr_mid_offset    30
 #define SMB_hdr_wct_offset    32
 
-#define SMB_hdr_len           33        /* 33 byte header?      */
+#define SMB_hdr_len           33	/* 33 byte header?      */
 
-#define SMB_hdr_axc_offset    33        /* AndX Command         */
-#define SMB_hdr_axr_offset    34        /* AndX Reserved        */
-#define SMB_hdr_axo_offset    35     /* Offset from start to WCT of AndX cmd */
+#define SMB_hdr_axc_offset    33	/* AndX Command         */
+#define SMB_hdr_axr_offset    34	/* AndX Reserved        */
+#define SMB_hdr_axo_offset    35	/* Offset from start to WCT of AndX cmd */
 
 /* Format of the Negotiate Protocol SMB */
 
 #define SMB_negp_bcc_offset   33
-#define SMB_negp_buf_offset   35        /* Where the buffer starts   */
-#define SMB_negp_len          35        /* plus the data             */
+#define SMB_negp_buf_offset   35	/* Where the buffer starts   */
+#define SMB_negp_len          35	/* plus the data             */
 
 /* Format of the Negotiate Response SMB, for CoreProtocol, LM1.2 and */
 /* NT LM 0.12. wct will be 1 for CoreProtocol, 13 for LM 1.2, and 17 */
 /* for NT LM 0.12                                                    */
 
-#define SMB_negrCP_idx_offset   33        /* Response to the neg req */
+#define SMB_negrCP_idx_offset   33	/* Response to the neg req */
 #define SMB_negrCP_bcc_offset   35
-#define SMB_negrLM_idx_offset   33        /* dialect index           */
-#define SMB_negrLM_sec_offset   35        /* Security mode           */
-#define SMB_sec_user_mask       0x01      /* 0 = share, 1 = user     */
-#define SMB_sec_encrypt_mask    0x02      /* pick out encrypt        */
-#define SMB_negrLM_mbs_offset   37        /* max buffer size         */
-#define SMB_negrLM_mmc_offset   39        /* max mpx count           */
-#define SMB_negrLM_mnv_offset   41        /* max number of VCs       */
-#define SMB_negrLM_rm_offset    43        /* raw mode support bit vec*/
+#define SMB_negrLM_idx_offset   33	/* dialect index           */
+#define SMB_negrLM_sec_offset   35	/* Security mode           */
+#define SMB_sec_user_mask       0x01	/* 0 = share, 1 = user     */
+#define SMB_sec_encrypt_mask    0x02	/* pick out encrypt        */
+#define SMB_negrLM_mbs_offset   37	/* max buffer size         */
+#define SMB_negrLM_mmc_offset   39	/* max mpx count           */
+#define SMB_negrLM_mnv_offset   41	/* max number of VCs       */
+#define SMB_negrLM_rm_offset    43	/* raw mode support bit vec */
 #define SMB_read_raw_mask       0x01
 #define SMB_write_raw_mask      0x02
-#define SMB_negrLM_sk_offset    45        /* session key, 32 bits    */
-#define SMB_negrLM_st_offset    49        /* Current server time     */
-#define SMB_negrLM_sd_offset    51        /* Current server date     */
-#define SMB_negrLM_stz_offset   53        /* Server Time Zone        */
-#define SMB_negrLM_ekl_offset   55        /* encryption key length   */
-#define SMB_negrLM_res_offset   57        /* reserved                */
-#define SMB_negrLM_bcc_offset   59        /* bcc                     */
-#define SMB_negrLM_len          61        /* 61 bytes ?              */
-#define SMB_negrLM_buf_offset   61        /* Where the fun begins    */
-
-#define SMB_negrNTLM_idx_offset 33        /* Selected protocol       */
-#define SMB_negrNTLM_sec_offset 35        /* Security more           */
-#define SMB_negrNTLM_mmc_offset 36        /* Different format above  */
-#define SMB_negrNTLM_mnv_offset 38        /* Max VCs                 */
-#define SMB_negrNTLM_mbs_offset 40        /* MBS now a long          */
-#define SMB_negrNTLM_mrs_offset 44        /* Max raw size            */
-#define SMB_negrNTLM_sk_offset  48        /* Session Key             */
-#define SMB_negrNTLM_cap_offset 52        /* Capabilities            */
-#define SMB_negrNTLM_stl_offset 56        /* Server time low         */
-#define SMB_negrNTLM_sth_offset 60        /* Server time high        */
-#define SMB_negrNTLM_stz_offset 64        /* Server time zone        */
-#define SMB_negrNTLM_ekl_offset 66        /* Encrypt key len         */
-#define SMB_negrNTLM_bcc_offset 67        /* Bcc                     */
+#define SMB_negrLM_sk_offset    45	/* session key, 32 bits    */
+#define SMB_negrLM_st_offset    49	/* Current server time     */
+#define SMB_negrLM_sd_offset    51	/* Current server date     */
+#define SMB_negrLM_stz_offset   53	/* Server Time Zone        */
+#define SMB_negrLM_ekl_offset   55	/* encryption key length   */
+#define SMB_negrLM_res_offset   57	/* reserved                */
+#define SMB_negrLM_bcc_offset   59	/* bcc                     */
+#define SMB_negrLM_len          61	/* 61 bytes ?              */
+#define SMB_negrLM_buf_offset   61	/* Where the fun begins    */
+
+#define SMB_negrNTLM_idx_offset 33	/* Selected protocol       */
+#define SMB_negrNTLM_sec_offset 35	/* Security more           */
+#define SMB_negrNTLM_mmc_offset 36	/* Different format above  */
+#define SMB_negrNTLM_mnv_offset 38	/* Max VCs                 */
+#define SMB_negrNTLM_mbs_offset 40	/* MBS now a long          */
+#define SMB_negrNTLM_mrs_offset 44	/* Max raw size            */
+#define SMB_negrNTLM_sk_offset  48	/* Session Key             */
+#define SMB_negrNTLM_cap_offset 52	/* Capabilities            */
+#define SMB_negrNTLM_stl_offset 56	/* Server time low         */
+#define SMB_negrNTLM_sth_offset 60	/* Server time high        */
+#define SMB_negrNTLM_stz_offset 64	/* Server time zone        */
+#define SMB_negrNTLM_ekl_offset 66	/* Encrypt key len         */
+#define SMB_negrNTLM_bcc_offset 67	/* Bcc                     */
 #define SMB_negrNTLM_len        69
 #define SMB_negrNTLM_buf_offset 69
 
 /* Offsets related to Tree Connect                                      */
 
 #define SMB_tcon_bcc_offset     33
-#define SMB_tcon_buf_offset     35        /* where the data is for tcon */
-#define SMB_tcon_len            35        /* plus the data              */
+#define SMB_tcon_buf_offset     35	/* where the data is for tcon */
+#define SMB_tcon_len            35	/* plus the data              */
 
-#define SMB_tconr_mbs_offset    33        /* max buffer size         */
-#define SMB_tconr_tid_offset    35        /* returned tree id        */
-#define SMB_tconr_bcc_offset    37       
-#define SMB_tconr_len           39 
-
-#define SMB_tconx_axc_offset    33        /* And X Command                */
-#define SMB_tconx_axr_offset    34        /* reserved                     */
-#define SMB_tconx_axo_offset    35        /* Next command offset          */
-#define SMB_tconx_flg_offset    37        /* Flags, bit0=1 means disc TID */
-#define SMB_tconx_pwl_offset    39        /* Password length              */
-#define SMB_tconx_bcc_offset    41        /* bcc                          */
-#define SMB_tconx_buf_offset    43        /* buffer                       */
-#define SMB_tconx_len           43        /* up to data ...               */
-
-#define SMB_tconxr_axc_offset   33        /* Where the AndX Command is    */
-#define SMB_tconxr_axr_offset   34        /* Reserved                     */
-#define SMB_tconxr_axo_offset   35        /* AndX offset location         */
+#define SMB_tconr_mbs_offset    33	/* max buffer size         */
+#define SMB_tconr_tid_offset    35	/* returned tree id        */
+#define SMB_tconr_bcc_offset    37
+#define SMB_tconr_len           39
+
+#define SMB_tconx_axc_offset    33	/* And X Command                */
+#define SMB_tconx_axr_offset    34	/* reserved                     */
+#define SMB_tconx_axo_offset    35	/* Next command offset          */
+#define SMB_tconx_flg_offset    37	/* Flags, bit0=1 means disc TID */
+#define SMB_tconx_pwl_offset    39	/* Password length              */
+#define SMB_tconx_bcc_offset    41	/* bcc                          */
+#define SMB_tconx_buf_offset    43	/* buffer                       */
+#define SMB_tconx_len           43	/* up to data ...               */
+
+#define SMB_tconxr_axc_offset   33	/* Where the AndX Command is    */
+#define SMB_tconxr_axr_offset   34	/* Reserved                     */
+#define SMB_tconxr_axo_offset   35	/* AndX offset location         */
 
 /* Offsets related to tree_disconnect                                  */
 
-#define SMB_tdis_bcc_offset     33        /* bcc                     */
-#define SMB_tdis_len            35        /* total len               */
+#define SMB_tdis_bcc_offset     33	/* bcc                     */
+#define SMB_tdis_len            35	/* total len               */
 
-#define SMB_tdisr_bcc_offset    33        /* bcc                     */
+#define SMB_tdisr_bcc_offset    33	/* bcc                     */
 #define SMB_tdisr_len           35
 
 /* Offsets related to Open Request                                     */
 
-#define SMB_open_mod_offset     33        /* Mode to open with       */
-#define SMB_open_atr_offset     35        /* Attributes of file      */
-#define SMB_open_bcc_offset     37        /* bcc                     */
-#define SMB_open_buf_offset     39        /* File name               */
-#define SMB_open_len            39        /* Plus the file name      */
-
-#define SMB_openx_axc_offset    33        /* Next command            */
-#define SMB_openx_axr_offset    34        /* Reserved                */
-#define SMB_openx_axo_offset    35        /* offset of next wct      */
-#define SMB_openx_flg_offset    37        /* Flags, bit0 = need more info */
-                                          /* bit1 = exclusive oplock */
-                                          /* bit2 = batch oplock     */
-#define SMB_openx_mod_offset    39        /* mode to open with       */
-#define SMB_openx_atr_offset    41        /* search attributes       */
-#define SMB_openx_fat_offset    43        /* File attributes         */
-#define SMB_openx_tim_offset    45        /* time and date of creat  */
-#define SMB_openx_ofn_offset    49        /* Open function           */
-#define SMB_openx_als_offset    51        /* Space to allocate on    */
-#define SMB_openx_res_offset    55        /* reserved                */
-#define SMB_openx_bcc_offset    63        /* bcc                     */
-#define SMB_openx_buf_offset    65        /* Where file name goes    */
+#define SMB_open_mod_offset     33	/* Mode to open with       */
+#define SMB_open_atr_offset     35	/* Attributes of file      */
+#define SMB_open_bcc_offset     37	/* bcc                     */
+#define SMB_open_buf_offset     39	/* File name               */
+#define SMB_open_len            39	/* Plus the file name      */
+
+#define SMB_openx_axc_offset    33	/* Next command            */
+#define SMB_openx_axr_offset    34	/* Reserved                */
+#define SMB_openx_axo_offset    35	/* offset of next wct      */
+#define SMB_openx_flg_offset    37	/* Flags, bit0 = need more info */
+					  /* bit1 = exclusive oplock */
+					  /* bit2 = batch oplock     */
+#define SMB_openx_mod_offset    39	/* mode to open with       */
+#define SMB_openx_atr_offset    41	/* search attributes       */
+#define SMB_openx_fat_offset    43	/* File attributes         */
+#define SMB_openx_tim_offset    45	/* time and date of creat  */
+#define SMB_openx_ofn_offset    49	/* Open function           */
+#define SMB_openx_als_offset    51	/* Space to allocate on    */
+#define SMB_openx_res_offset    55	/* reserved                */
+#define SMB_openx_bcc_offset    63	/* bcc                     */
+#define SMB_openx_buf_offset    65	/* Where file name goes    */
 #define SMB_openx_len           65
 
-#define SMB_openr_fid_offset    33        /* FID returned            */
-#define SMB_openr_atr_offset    35        /* Attributes opened with  */
-#define SMB_openr_tim_offset    37        /* Last mod time of file   */
-#define SMB_openr_fsz_offset    41        /* File size 4 bytes       */
-#define SMB_openr_acc_offset    45        /* Access allowed          */
+#define SMB_openr_fid_offset    33	/* FID returned            */
+#define SMB_openr_atr_offset    35	/* Attributes opened with  */
+#define SMB_openr_tim_offset    37	/* Last mod time of file   */
+#define SMB_openr_fsz_offset    41	/* File size 4 bytes       */
+#define SMB_openr_acc_offset    45	/* Access allowed          */
 #define SMB_openr_bcc_offset    47
 #define SMB_openr_len           49
 
-#define SMB_openxr_axc_offset   33        /* And X command           */
-#define SMB_openxr_axr_offset   34        /* reserved                */
-#define SMB_openxr_axo_offset   35        /* offset to next command  */
-#define SMB_openxr_fid_offset   37        /* FID returned            */
-#define SMB_openxr_fat_offset   39        /* File attributes returned*/
-#define SMB_openxr_tim_offset   41        /* File creation date etc  */
-#define SMB_openxr_fsz_offset   45        /* Size of file            */
-#define SMB_openxr_acc_offset   49        /* Access granted          */
-
-#define SMB_clos_fid_offset     33        /* FID to close            */
-#define SMB_clos_tim_offset     35        /* Last mod time           */
-#define SMB_clos_bcc_offset     39        /* bcc                     */        
+#define SMB_openxr_axc_offset   33	/* And X command           */
+#define SMB_openxr_axr_offset   34	/* reserved                */
+#define SMB_openxr_axo_offset   35	/* offset to next command  */
+#define SMB_openxr_fid_offset   37	/* FID returned            */
+#define SMB_openxr_fat_offset   39	/* File attributes returned */
+#define SMB_openxr_tim_offset   41	/* File creation date etc  */
+#define SMB_openxr_fsz_offset   45	/* Size of file            */
+#define SMB_openxr_acc_offset   49	/* Access granted          */
+
+#define SMB_clos_fid_offset     33	/* FID to close            */
+#define SMB_clos_tim_offset     35	/* Last mod time           */
+#define SMB_clos_bcc_offset     39	/* bcc                     */
 #define SMB_clos_len            41
 
 /* Offsets related to Write requests                                 */
 
-#define SMB_write_fid_offset    33        /* FID to write            */
-#define SMB_write_cnt_offset    35        /* bytes to write          */
-#define SMB_write_ofs_offset    37        /* location to write to    */
-#define SMB_write_clf_offset    41        /* advisory count left     */
-#define SMB_write_bcc_offset    43        /* bcc = data bytes + 3    */
-#define SMB_write_buf_offset    45        /* Data=0x01, len, data    */
-#define SMB_write_len           45        /* plus the data ...       */
+#define SMB_write_fid_offset    33	/* FID to write            */
+#define SMB_write_cnt_offset    35	/* bytes to write          */
+#define SMB_write_ofs_offset    37	/* location to write to    */
+#define SMB_write_clf_offset    41	/* advisory count left     */
+#define SMB_write_bcc_offset    43	/* bcc = data bytes + 3    */
+#define SMB_write_buf_offset    45	/* Data=0x01, len, data    */
+#define SMB_write_len           45	/* plus the data ...       */
 
-#define SMB_writr_cnt_offset    33        /* Count of bytes written  */
-#define SMB_writr_bcc_offset    35        /* bcc                     */
+#define SMB_writr_cnt_offset    33	/* Count of bytes written  */
+#define SMB_writr_bcc_offset    35	/* bcc                     */
 #define SMB_writr_len           37
 
 /* Offsets related to read requests */
 
-#define SMB_read_fid_offset     33        /* FID of file to read     */
-#define SMB_read_cnt_offset     35        /* count of words to read  */
-#define SMB_read_ofs_offset     37        /* Where to read from      */
-#define SMB_read_clf_offset     41        /* Advisory count to go    */
+#define SMB_read_fid_offset     33	/* FID of file to read     */
+#define SMB_read_cnt_offset     35	/* count of words to read  */
+#define SMB_read_ofs_offset     37	/* Where to read from      */
+#define SMB_read_clf_offset     41	/* Advisory count to go    */
 #define SMB_read_bcc_offset     43
 #define SMB_read_len            45
 
-#define SMB_readr_cnt_offset    33        /* Count of bytes returned */
-#define SMB_readr_res_offset    35        /* 4 shorts reserved, 8 bytes */
-#define SMB_readr_bcc_offset    43        /* bcc                     */
-#define SMB_readr_bff_offset    45        /* buffer format char = 0x01 */
-#define SMB_readr_len_offset    46        /* buffer len              */
-#define SMB_readr_len           45        /* length of the readr before data */
+#define SMB_readr_cnt_offset    33	/* Count of bytes returned */
+#define SMB_readr_res_offset    35	/* 4 shorts reserved, 8 bytes */
+#define SMB_readr_bcc_offset    43	/* bcc                     */
+#define SMB_readr_bff_offset    45	/* buffer format char = 0x01 */
+#define SMB_readr_len_offset    46	/* buffer len              */
+#define SMB_readr_len           45	/* length of the readr before data */
 
 /* Offsets for Create file                                           */
 
-#define SMB_creat_atr_offset    33        /* Attributes of new file ... */
-#define SMB_creat_tim_offset    35        /* Time of creation           */
-#define SMB_creat_dat_offset    37        /* 4004BCE :-)                */
-#define SMB_creat_bcc_offset    39        /* bcc                        */
+#define SMB_creat_atr_offset    33	/* Attributes of new file ... */
+#define SMB_creat_tim_offset    35	/* Time of creation           */
+#define SMB_creat_dat_offset    37	/* 4004BCE :-)                */
+#define SMB_creat_bcc_offset    39	/* bcc                        */
 #define SMB_creat_buf_offset    41
-#define SMB_creat_len           41        /* Before the data            */
+#define SMB_creat_len           41	/* Before the data            */
 
-#define SMB_creatr_fid_offset   33        /* FID of created file        */
+#define SMB_creatr_fid_offset   33	/* FID of created file        */
 
 /* Offsets for Delete file                                           */
 
-#define SMB_delet_sat_offset    33        /* search attribites          */
-#define SMB_delet_bcc_offset    35        /* bcc                        */
+#define SMB_delet_sat_offset    33	/* search attribites          */
+#define SMB_delet_bcc_offset    35	/* bcc                        */
 #define SMB_delet_buf_offset    37
 #define SMB_delet_len           37
 
 /* Offsets for SESSION_SETUP_ANDX for both LM and NT LM protocols    */
 
-#define SMB_ssetpLM_mbs_offset  37        /* Max buffer Size, allow for AndX */
-#define SMB_ssetpLM_mmc_offset  39        /* max multiplex count             */
-#define SMB_ssetpLM_vcn_offset  41        /* VC number if new VC             */
-#define SMB_ssetpLM_snk_offset  43        /* Session Key                     */
-#define SMB_ssetpLM_pwl_offset  47        /* password length                 */
-#define SMB_ssetpLM_res_offset  49        /* reserved                        */
-#define SMB_ssetpLM_bcc_offset  53        /* bcc                             */
-#define SMB_ssetpLM_len         55        /* before data ...                 */
+#define SMB_ssetpLM_mbs_offset  37	/* Max buffer Size, allow for AndX */
+#define SMB_ssetpLM_mmc_offset  39	/* max multiplex count             */
+#define SMB_ssetpLM_vcn_offset  41	/* VC number if new VC             */
+#define SMB_ssetpLM_snk_offset  43	/* Session Key                     */
+#define SMB_ssetpLM_pwl_offset  47	/* password length                 */
+#define SMB_ssetpLM_res_offset  49	/* reserved                        */
+#define SMB_ssetpLM_bcc_offset  53	/* bcc                             */
+#define SMB_ssetpLM_len         55	/* before data ...                 */
 #define SMB_ssetpLM_buf_offset  55
 
-#define SMB_ssetpNTLM_mbs_offset 37       /* Max Buffer Size for NT LM 0.12  */
-                                          /* and above                       */
-#define SMB_ssetpNTLM_mmc_offset 39       /* Max Multiplex count             */
-#define SMB_ssetpNTLM_vcn_offset 41       /* VC Number                       */
-#define SMB_ssetpNTLM_snk_offset 43       /* Session key                     */
-#define SMB_ssetpNTLM_cipl_offset 47      /* Case Insensitive PW Len         */
-#define SMB_ssetpNTLM_cspl_offset 49      /* Unicode pw len                  */
-#define SMB_ssetpNTLM_res_offset 51       /* reserved                        */
-#define SMB_ssetpNTLM_cap_offset 55       /* server capabilities             */
-#define SMB_ssetpNTLM_bcc_offset 59       /* bcc                             */
-#define SMB_ssetpNTLM_len        61       /* before data                     */
+#define SMB_ssetpNTLM_mbs_offset 37	/* Max Buffer Size for NT LM 0.12  */
+					  /* and above                       */
+#define SMB_ssetpNTLM_mmc_offset 39	/* Max Multiplex count             */
+#define SMB_ssetpNTLM_vcn_offset 41	/* VC Number                       */
+#define SMB_ssetpNTLM_snk_offset 43	/* Session key                     */
+#define SMB_ssetpNTLM_cipl_offset 47	/* Case Insensitive PW Len         */
+#define SMB_ssetpNTLM_cspl_offset 49	/* Unicode pw len                  */
+#define SMB_ssetpNTLM_res_offset 51	/* reserved                        */
+#define SMB_ssetpNTLM_cap_offset 55	/* server capabilities             */
+#define SMB_ssetpNTLM_bcc_offset 59	/* bcc                             */
+#define SMB_ssetpNTLM_len        61	/* before data                     */
 #define SMB_ssetpNTLM_buf_offset 61
 
-#define SMB_ssetpr_axo_offset  35         /* Offset of next response ...    */
-#define SMB_ssetpr_act_offset  37         /* action, bit 0 = 1 => guest     */
-#define SMB_ssetpr_bcc_offset  39         /* bcc                            */
-#define SMB_ssetpr_buf_offset  41         /* Native OS etc                  */
+#define SMB_ssetpr_axo_offset  35	/* Offset of next response ...    */
+#define SMB_ssetpr_act_offset  37	/* action, bit 0 = 1 => guest     */
+#define SMB_ssetpr_bcc_offset  39	/* bcc                            */
+#define SMB_ssetpr_buf_offset  41	/* Native OS etc                  */
 
 /* Offsets for SMB create directory                                         */
 
-#define SMB_creatdir_bcc_offset 33        /* only a bcc here                */
-#define SMB_creatdir_buf_offset 35        /* Where things start             */
+#define SMB_creatdir_bcc_offset 33	/* only a bcc here                */
+#define SMB_creatdir_buf_offset 35	/* Where things start             */
 #define SMB_creatdir_len        35
 
 /* Offsets for SMB delete directory                                         */
 
-#define SMB_deletdir_bcc_offset 33        /* only a bcc here                */
-#define SMB_deletdir_buf_offset 35        /* where things start             */
+#define SMB_deletdir_bcc_offset 33	/* only a bcc here                */
+#define SMB_deletdir_buf_offset 35	/* where things start             */
 #define SMB_deletdir_len        35
 
 /* Offsets for SMB check directory                                          */
 
-#define SMB_checkdir_bcc_offset 33        /* Only a bcc here                */
-#define SMB_checkdir_buf_offset 35        /* where things start             */
+#define SMB_checkdir_bcc_offset 33	/* Only a bcc here                */
+#define SMB_checkdir_buf_offset 35	/* where things start             */
 #define SMB_checkdir_len        35
 
 /* Offsets for SMB search                                                   */
 
-#define SMB_search_mdc_offset   33        /* Max Dir ents to return         */
-#define SMB_search_atr_offset   35        /* Search attributes              */
-#define SMB_search_bcc_offset   37        /* bcc                            */
-#define SMB_search_buf_offset   39        /* where the action is            */
+#define SMB_search_mdc_offset   33	/* Max Dir ents to return         */
+#define SMB_search_atr_offset   35	/* Search attributes              */
+#define SMB_search_bcc_offset   37	/* bcc                            */
+#define SMB_search_buf_offset   39	/* where the action is            */
 #define SMB_search_len          39
 
-#define SMB_searchr_dec_offset  33        /* Dir ents returned              */
-#define SMB_searchr_bcc_offset  35        /* bcc                            */
-#define SMB_searchr_buf_offset  37        /* Where the action starts        */
-#define SMB_searchr_len         37        /* before the dir ents            */
+#define SMB_searchr_dec_offset  33	/* Dir ents returned              */
+#define SMB_searchr_bcc_offset  35	/* bcc                            */
+#define SMB_searchr_buf_offset  37	/* Where the action starts        */
+#define SMB_searchr_len         37	/* before the dir ents            */
 
-#define SMB_searchr_dirent_len  43        /* 53 bytes                       */
+#define SMB_searchr_dirent_len  43	/* 53 bytes                       */
 
 /* Defines for SMB transact and transact2 calls                             */
 
-#define SMB_trans_tpc_offset    33        /* Total param count              */
-#define SMB_trans_tdc_offset    35        /* total Data count               */
-#define SMB_trans_mpc_offset    37        /* Max params bytes to return     */
-#define SMB_trans_mdc_offset    39        /* Max data bytes to return       */
-#define SMB_trans_msc_offset    41        /* Max setup words to return      */
-#define SMB_trans_rs1_offset    42        /* Reserved byte                  */
-#define SMB_trans_flg_offset    43        /* flags                          */
-#define SMB_trans_tmo_offset    45        /* Timeout, long                  */
-#define SMB_trans_rs2_offset    49        /* Next reserved                  */
-#define SMB_trans_pbc_offset    51        /* Param Byte count in buf        */
-#define SMB_trans_pbo_offset    53        /* Offset to param bytes          */
-#define SMB_trans_dbc_offset    55        /* Data byte count in buf         */
-#define SMB_trans_dbo_offset    57        /* Data byte offset               */
-#define SMB_trans_suc_offset    59        /* Setup count - byte             */
-#define SMB_trans_rs3_offset    60        /* Reserved to pad ...            */
-#define SMB_trans_len           61        /* Up to setup, still need bcc    */
+#define SMB_trans_tpc_offset    33	/* Total param count              */
+#define SMB_trans_tdc_offset    35	/* total Data count               */
+#define SMB_trans_mpc_offset    37	/* Max params bytes to return     */
+#define SMB_trans_mdc_offset    39	/* Max data bytes to return       */
+#define SMB_trans_msc_offset    41	/* Max setup words to return      */
+#define SMB_trans_rs1_offset    42	/* Reserved byte                  */
+#define SMB_trans_flg_offset    43	/* flags                          */
+#define SMB_trans_tmo_offset    45	/* Timeout, long                  */
+#define SMB_trans_rs2_offset    49	/* Next reserved                  */
+#define SMB_trans_pbc_offset    51	/* Param Byte count in buf        */
+#define SMB_trans_pbo_offset    53	/* Offset to param bytes          */
+#define SMB_trans_dbc_offset    55	/* Data byte count in buf         */
+#define SMB_trans_dbo_offset    57	/* Data byte offset               */
+#define SMB_trans_suc_offset    59	/* Setup count - byte             */
+#define SMB_trans_rs3_offset    60	/* Reserved to pad ...            */
+#define SMB_trans_len           61	/* Up to setup, still need bcc    */
 
-#define SMB_transr_tpc_offset   33        /* Total param bytes returned     */
+#define SMB_transr_tpc_offset   33	/* Total param bytes returned     */
 #define SMB_transr_tdc_offset   35
 #define SMB_transr_rs1_offset   37
 #define SMB_transr_pbc_offset   39
 #define SMB_transr_pbo_offset   41
-#define SMB_transr_pdi_offset   43        /* parameter displacement         */
+#define SMB_transr_pdi_offset   43	/* parameter displacement         */
 #define SMB_transr_dbc_offset   45
 #define SMB_transr_dbo_offset   47
 #define SMB_transr_ddi_offset   49
@@ -477,17 +477,23 @@
 
 #define SMB_LMapi_SetUserInfo     0x0072
 #define SMB_LMapi_UserPasswordSet 0x0073
- 
+
 /* Structures and defines we use in the client interface */
 
 /* The protocols we might support. Perhaps a bit ambitious, as only RFCNB */
 /* has any support so far 0(sometimes called NBT)                         */
 
-typedef enum {SMB_RFCNB, SMB_IPXNB, SMB_NETBEUI, SMB_X25} SMB_Transport_Types;
-
-typedef enum {SMB_Con_FShare, SMB_Con_PShare, SMB_Con_IPC} SMB_Con_Types;
-
-typedef enum {SMB_State_NoState, SMB_State_Stopped, SMB_State_Started} SMB_State_Types;
+typedef enum {
+    SMB_RFCNB, SMB_IPXNB, SMB_NETBEUI, SMB_X25
+} SMB_Transport_Types;
+
+typedef enum {
+    SMB_Con_FShare, SMB_Con_PShare, SMB_Con_IPC
+} SMB_Con_Types;
+
+typedef enum {
+    SMB_State_NoState, SMB_State_Stopped, SMB_State_Started
+} SMB_State_Types;
 
 /* The following two arrays need to be in step!              */
 /* We must make it possible for callers to specify these ... */
